Нова критична вразливість Linux-ядра

Повідомляється про виявлення нової вразливості, що дозволяє підвищити свої привілеї в системі. Вразливість присутня в коді мережевої підсистеми, але має локальний характер. Вразливість викликана не помилкою в коді ядра, а особливостями роботи оптимізатора GCC, який відкидає деякі явні перевірки в яких фігурує null-покажчик.

Розробники Linux ядра випустили патч, але вразливості залишаються у всіх випущених з 2001 року версій ядра, включаючи 2.6.30.4.

додати коментар: